petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDLLibrarySym

Load a symbol from the dynamic link libraries.

### Synopsis

    PetscErrorCode  PetscDLLibrarySym(MPI_Comm comm,PetscDLLibrary *outlist,const char path[],const char insymbol[],void **value)

Collective

### Input Parameter

| comm | - communicator that will open the library
| outlist | - list of already open libraries that may contain symbol (can be NULL and only the executable is searched for the function)
| path | - optional complete library name (if provided checks here before checking outlist)
| insymbol | - name of symbol

### Output Parameter

value -if symbol not found then this value is set to NULL

### Notes

Symbol can be of the form [/path/libname[.so.1.0]:]functionname[()] where items in [] denote optional

Will attempt to (retrieve and) open the library if it is not yet been opened.

### Level

developer

### Location

src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages